## update-manager-core 0.56~dapper5

=== po/Makefile ===

top_srcdir=`pwd`/..

DOMAIN=update-manager-core
PO_FILES := $(wildcard *.po)
CONTACT=sebastian.heinlein@web.de

all: update-po

# update the pot
$(DOMAIN).pot:
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES)
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -r -g $(DOMAIN); 

# create mo from the pos
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo 

# dummy target 
update-po: $(DOMAIN).pot merge-po $(patsubst %.po,%.mo,$(wildcard *.po))

=== debian/changelog ===
update-manager-core (0.56~dapper5) dapper-proposed; urgency=low

  * fix fetch problem when a meta-release file already got 
    downloaded (LP: #211978)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 07 Apr 2008 21:21:14 +0200

update-manager-core (0.56~dapper4) dapper-proposed; urgency=low

  * fix bug when meta-release file was already on disk and wouldn't
    be reread (thanks to the forum for investigating)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Feb 2008 10:24:16 +0100

update-manager-core (0.56~dapper3) dapper-proposed; urgency=low

  * port bugfixes from update-manager in hardy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 06 Feb 2008 11:27:23 +0100

update-manager-core (0.56~dapper2) dapper-proposed; urgency=low

  * fix FTBFS

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 06 Feb 2008 11:23:35 +0100

update-manager-core (0.56~dapper1) dapper-proposed; urgency=low

  * Backport of the core to dapper-proposed to make server updates
    possible. 
  * Switch build system back to pre python-support as its
    not available in dapper

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 06 Feb 2008 11:03:21 +0100

=== debian/control ===
Source: update-manager-core
Section: admin
Priority: optional
XS-Python-Version: all
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper, python-dev
Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
Standards-Version: 3.7.2

Package: update-manager-core
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.6.16.2),  lsb-release,  python-gnupginterface
Description: manage release upgrades
 This is the core of update-manager and the release upgrader

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKG=update-manager-core
DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)


build: build-stamp

build-stamp:  
	dh_testdir

	# Add here commands to compile the package.
	./setup.py build 
	#/usr/bin/docbook-to-man debian/update-manager.sgml > update-manager.1

	# intltool for rosetta
	(cd po; /usr/bin/intltool-update -p --verbose || true)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	rm -rf po/mo
	find . -name "*.pyc" -exec rm -f {} \;
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/update-manager.
	./setup.py install --prefix=$(CURDIR)/debian/$(PKG)/usr

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_scrollkeeper
	dh_installmime
	dh_desktop
	dh_iconcache
	dh_gconf
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

arch-build:
	rm -rf debian/arch-build
	mkdir -p debian/arch-build/$(PKG)-$(DEBVER)
	tar -c --exclude=arch-build --no-recursion -f - `bzr inventory` | (cd debian/arch-build/$(PKG)-$(DEBVER);tar xf -)
	(cd debian/arch-build/$(PKG)-$(DEBVER) && $(DEB_BUILD_PROG))

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install arch-build

## update-manager-core 0.56~edgy5

=== debian/changelog ===
update-manager-core (0.56~edgy5) edgy-proposed; urgency=low

  * support --proposed to support upgrade using the upgrader in 
    the feisty-proposed pocket (LP#109290)
  * support --mode to control if the upgrader should be run in desktop
    or server upgrade mode (LP#109290)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  2 May 2007 17:00:40 +0200

update-manager-core (0.56~edgy4) edgy-updates; urgency=low

  * uploading to edgy-updates (LP#92875)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Apr 2007 16:11:30 +0200

update-manager-core (0.56~edgy3) edgy-proposed; urgency=low

  * UpdateManagerCore/MetaRelease.py:
    - fix race conditin in download thread (thanks to Matt
      Zimmerman for reporting the issue)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Mar 2007 22:11:17 +0100

update-manager-core (0.56~edgy2) edgy-proposed; urgency=low

  * do-release-upgrade: fix translation domain
  * po/update-manager-core.pot: updated
  * po/*.po:
    - updated with the latest translations from feisty
  * po/POTFILES.in: remove unused files

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Mar 2007 17:58:33 +0100

update-manager-core (0.56~edgy1) edgy-proposed; urgency=low

  * backport of the core to edgy-proposed to make server updates
    possible

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 Mar 2007 19:30:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 XS-Python-Version: all
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
-Build-Depends: debhelper, python-dev
+Build-Depends: debhelper, python-all-dev, python-central (>= 0.5.6), cdbs
 Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
 Standards-Version: 3.7.2

=== debian/rules ===
#!/usr/bin/make -f
  
DEB_AUTO_CLEANUP_RCS            := yes

DEB_PYTHON_SYSTEM=pycentral

# Add here any variable or target overrides you need

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

ifdef _cdbs_rules_debhelper
$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
	dh_scrollkeeper -p$(cdbs_curpkg) $(DEB_DH_SCROLLKEEPER_ARGS)
	$(if $(wildcard /usr/bin/dh_gconf),dh_gconf -p$(cdbs_curpkg) $(DEB_DH_GCONF_ARGS))
	$(if $(wildcard /usr/bin/dh_desktop),dh_desktop -p$(cdbs_curpkg) $(DEB_DH_DESKTOP_ARGS))
	$(if $(wildcard /usr/bin/dh_iconcache),dh_iconcache -p$(cdbs_curpkg) $(DEB_DH_DESKTOP_ARGS))
endif

PKG=update-manager
DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)

arch-build::
	rm -rf debian/arch-build
	mkdir -p debian/arch-build/$(PKG)-$(DEBVER)
	tar -c --exclude=arch-build --no-recursion -f - `bzr inventory` | (cd debian/arch-build/$(PKG)-$(DEBVER);tar xf -)
	(cd debian/arch-build/$(PKG)-$(DEBVER) && $(DEB_BUILD_PROG))
